/*
** CONEXIONES.H
**
** En este fichero se definen las variables
** externas que se importan para configurar
** el programa.
**
**
** (c) 1.997-99 Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 13/Oct/98 Version 1.0
**           Primera version de este fichero.
**
** 26/Oct/98 Rutina de busqueda de los
**           registros especificos de un usuario.
**
** 27/Oct/98 El array de accounting define el sufijo a anadir
**           y las rutinas a usar para acceder a cada fichero.
**           Soporte para varias clases IP.
**
** 18/Nov/98 Anadidos los tipos para asociar un usuario
**           a una IP fija, sin necesidad de entrada RADIUS.
**
** 20/Nov/98 Anadidos los marcos horarios por defecto
**           a la hora de leer un fichero de log.
**
** 23/Nov/98 Suprimido lo anterior, ya que el acceso a los
**           logs, tal y como estamos ahora, es muy rapido.
**           Anadidas rutinas de gestion de tiempo.
*/

#ifndef CONEXIONES_H
#define CONEXIONES_H

#include "lee_log.h"
#include <time.h>

extern char *RED[];
extern char *CLAVE;
extern char *D_HISTORICO;

typedef struct {
  char *ip;
  char *usuario;
} t_ip_usuario;

extern t_ip_usuario IP_USUARIO[];

typedef struct {
  void (*abre_log) (char *f_detalle, char *usuario);
  void (*cierra_log) (void);
  log_estado (*lee_registro) (registro_log *registro);
} t_log;
  
typedef struct {
  char *path;
  char *AT_ISP;
  t_log *log;
} t_accounting;
 
extern t_accounting accounting[];

int main_conexiones(int argc,char *argv[],char *env[]);

time_t str2tiempo(char *tiempo);
void tiempo2str(char *buf,time_t tiempo);
void fija_tiempo_inicial(time_t tiempo);
void fija_tiempo_final(time_t tiempo);

#endif

