/*
** CONFIG.C
**
** Configuracion.
**
**
** (c) 1.997-99 Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 14/Dic/98 Version 1.0
**           Este fichero permite tener en un unico
**           lugar, pero fuera de la libreria, la
**           la configuracion necesaria para todos
**           los programas que usan la libreria en si.
*/

#include "lee_radius.h"
#include "lee_mrtg.h"
#include "conexiones.h"
#include "config.h"

/*
** Clase C. Ojo con el punto final.
** Por ejemplo, "192.168.1."
*/

char *RED[]={
  "PON_TU_SERIE_DE_CLASES_C",
  NULL};

/* Tabla para asignar usuarios fijos a determinadas IPs fijas */

t_ip_usuario IP_USUARIO[]={
  {NULL,NULL}};

/* La clave a usar en el CGI */

char *CLAVE="TU_CLAVE_DE_ACCESO";

/* Directorio donde estan los archivos historicos */

char *D_HISTORICO="PON_EL_PATH_A_LOS_ARCHIVOS_HISTORICOS/";

/* STUBS para rutinas de lectura de registros */

static t_log RADIUS = {
  abre_log_detalle_radius,
  cierra_log_detalle_radius,
  lee_registro_detalle_radius
};

log_estado lee_registro_detalle_radius_infovia_plus(registro_log *registro)
{
log_estado estado;

  estado=lee_registro_detalle_radius(registro);
  if(registro->caller_id[0]=='\0') strcpy(registro->caller_id,"Infov&iacute;a Plus");
  return estado;
}

static t_log RADIUS_IPLUS = {
  abre_log_detalle_radius,
  cierra_log_detalle_radius,
  lee_registro_detalle_radius_infovia_plus
};

static t_log MRTG = {
  abre_log_mrtg,
  cierra_log_mrtg,
  lee_registro_mrtg
};

/*
** Ficheros de detalle del RADIUS.
** El final se marca con una cadena vacia.
*/

#define ISP  "@PON_TU_CPI_SI_TIENES_ALIAS"


t_accounting accounting[]={
  {"/var/adm/radacct/172.16.192.1/detalle",ISP,&RADIUS   /* Madrid */    },
  {"/var/adm/radacct/172.16.193.1/detalle",ISP,&RADIUS   /* Barcelona */ },
  {"/var/adm/radacct/172.16.192.33/detalle",ISP,&RADIUS  /* Valencia */  },
  {"/var/adm/radacct/172.16.192.49/detalle",ISP,&RADIUS  /* Bilbao */    },
  {"/var/adm/radacct/172.16.192.65/detalle",ISP,&RADIUS  /* Sevilla */   },
  {"TU_SERVIDOR_DE_TUNELES",ISP,&RADIUS_IPLUS   /* Tuneles */   },
  {"/export/home/snmp/","",&MRTG  /* Estadisticas MRTG */ },
  {NULL,NULL,NULL}}; /* Marcador final */
